gtkmm: Gtk::ExpressionWatchBase Class Reference

gtkmm 4.12.0

Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::ExpressionWatchBase Class Reference

`#include <gtkmm/expressionwatch.h>`

Inheritance diagram for Gtk::ExpressionWatchBase:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GtkExpressionWatch * | gobj ()
| Provides access to the underlying C instance.
const GtkExpressionWatch * | gobj () const
| Provides access to the underlying C instance.
GtkExpressionWatch * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| ExpressionWatchBase ()=delete
| ExpressionWatchBase (const ExpressionWatchBase &)=delete
ExpressionWatchBase & | operator= (const ExpressionWatchBase &)=delete
void | unwatch ()
| Stops watching an expression that was established via Gtk::Expression::watch().

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ExpressionWatchBase > | wrap (GtkExpressionWatch * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

## ◆ ExpressionWatchBase() [1/2]

Gtk::ExpressionWatchBase::ExpressionWatchBase | ( |  | ) |
| delete

## ◆ ExpressionWatchBase() [2/2]

Gtk::ExpressionWatchBase::ExpressionWatchBase | ( | const ExpressionWatchBase & |  | ) |
| delete

## Member Function Documentation

## ◆ gobj() [1/2]

GtkExpressionWatch * Gtk::ExpressionWatchBase::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkExpressionWatch * Gtk::ExpressionWatchBase::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkExpressionWatch * Gtk::ExpressionWatchBase::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gtk::ExpressionWatchBase::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

ExpressionWatchBase & Gtk::ExpressionWatchBase::operator= | ( | const ExpressionWatchBase & |  | ) |
| delete

## ◆ reference()

void Gtk::ExpressionWatchBase::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gtk::ExpressionWatchBase::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unwatch()

void Gtk::ExpressionWatchBase::unwatch | ( |  | ) |

Stops watching an expression that was established via Gtk::Expression::watch().

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ExpressionWatchBase > wrap | ( | GtkExpressionWatch * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.